#!/bin/sh
echo "Content-type: text/html";
echo;
echo "<HTML><TITLE>Edit E2X Multiple Unicast</TITLE><BODY>";
cd /mnt/flash

errMsg="<BR>Please use your browser's <B>back</B> button to correct the error.<BR>";

#
# Read CGI data
#
read data_in

#
# Parse the input data
#
if [ "X$data_in" != "X" ]; then
	#
	# Input checking
	#
	#echo "Got $data_in"
	newExgineIp0=`echo $data_in | sed -n "s/.*\(newExgineIp0=\)\([^\&]*\).*/\2/p"`
	newExgineIp1=`echo $data_in | sed -n "s/.*\(newExgineIp1=\)\([^\&]*\).*/\2/p"`
	newExgineIp2=`echo $data_in | sed -n "s/.*\(newExgineIp2=\)\([^\&]*\).*/\2/p"`
	newExgineIp3=`echo $data_in | sed -n "s/.*\(newExgineIp3=\)\([^\&]*\).*/\2/p"`
	newExgineIp4=`echo $data_in | sed -n "s/.*\(newExgineIp4=\)\([^\&]*\).*/\2/p"`
	newExgineIp5=`echo $data_in | sed -n "s/.*\(newExgineIp5=\)\([^\&]*\).*/\2/p"`
	newExgineIp6=`echo $data_in | sed -n "s/.*\(newExgineIp6=\)\([^\&]*\).*/\2/p"`
	newExgineIp7=`echo $data_in | sed -n "s/.*\(newExgineIp7=\)\([^\&]*\).*/\2/p"`
	newExgineIp8=`echo $data_in | sed -n "s/.*\(newExgineIp8=\)\([^\&]*\).*/\2/p"`
	newExgineIp9=`echo $data_in | sed -n "s/.*\(newExgineIp9=\)\([^\&]*\).*/\2/p"`
	newExgineIp10=`echo $data_in | sed -n "s/.*\(newExgineIp10=\)\([^\&]*\).*/\2/p"`
	newExgineIp11=`echo $data_in | sed -n "s/.*\(newExgineIp11=\)\([^\&]*\).*/\2/p"`
	newExgineIp12=`echo $data_in | sed -n "s/.*\(newExgineIp12=\)\([^\&]*\).*/\2/p"`
	newExgineIp13=`echo $data_in | sed -n "s/.*\(newExgineIp13=\)\([^\&]*\).*/\2/p"`
	newExgineIp14=`echo $data_in | sed -n "s/.*\(newExgineIp14=\)\([^\&]*\).*/\2/p"`
	newExgineIp15=`echo $data_in | sed -n "s/.*\(newExgineIp15=\)\([^\&]*\).*/\2/p"`

	newExgineMac0=`echo $data_in | sed -n "s/.*\(newExgineMac0=\)\([^\&]*\).*/\2/p"`
	newExgineMac1=`echo $data_in | sed -n "s/.*\(newExgineMac1=\)\([^\&]*\).*/\2/p"`
	newExgineMac2=`echo $data_in | sed -n "s/.*\(newExgineMac2=\)\([^\&]*\).*/\2/p"`
	newExgineMac3=`echo $data_in | sed -n "s/.*\(newExgineMac3=\)\([^\&]*\).*/\2/p"`
	newExgineMac4=`echo $data_in | sed -n "s/.*\(newExgineMac4=\)\([^\&]*\).*/\2/p"`
	newExgineMac5=`echo $data_in | sed -n "s/.*\(newExgineMac5=\)\([^\&]*\).*/\2/p"`
	newExgineMac6=`echo $data_in | sed -n "s/.*\(newExgineMac6=\)\([^\&]*\).*/\2/p"`
	newExgineMac7=`echo $data_in | sed -n "s/.*\(newExgineMac7=\)\([^\&]*\).*/\2/p"`
	newExgineMac8=`echo $data_in | sed -n "s/.*\(newExgineMac8=\)\([^\&]*\).*/\2/p"`
	newExgineMac9=`echo $data_in | sed -n "s/.*\(newExgineMac9=\)\([^\&]*\).*/\2/p"`
	newExgineMac10=`echo $data_in | sed -n "s/.*\(newExgineMac10=\)\([^\&]*\).*/\2/p"`
	newExgineMac11=`echo $data_in | sed -n "s/.*\(newExgineMac11=\)\([^\&]*\).*/\2/p"`
	newExgineMac12=`echo $data_in | sed -n "s/.*\(newExgineMac12=\)\([^\&]*\).*/\2/p"`
	newExgineMac13=`echo $data_in | sed -n "s/.*\(newExgineMac13=\)\([^\&]*\).*/\2/p"`
	newExgineMac14=`echo $data_in | sed -n "s/.*\(newExgineMac14=\)\([^\&]*\).*/\2/p"`
	newExgineMac15=`echo $data_in | sed -n "s/.*\(newExgineMac15=\)\([^\&]*\).*/\2/p"`
    
    # substitue %3a with :
    newExgineMac0=`echo $newExgineMac0 | sed 's/%3A/:/g'`
    newExgineMac1=`echo $newExgineMac1 | sed 's/%3A/:/g'`
    newExgineMac2=`echo $newExgineMac2 | sed 's/%3A/:/g'`
    newExgineMac3=`echo $newExgineMac3 | sed 's/%3A/:/g'`
    newExgineMac4=`echo $newExgineMac4 | sed 's/%3A/:/g'`
    newExgineMac5=`echo $newExgineMac5 | sed 's/%3A/:/g'`
    newExgineMac6=`echo $newExgineMac6 | sed 's/%3A/:/g'`
    newExgineMac7=`echo $newExgineMac7 | sed 's/%3A/:/g'`
    newExgineMac8=`echo $newExgineMac8 | sed 's/%3A/:/g'`
    newExgineMac9=`echo $newExgineMac9 | sed 's/%3A/:/g'`
    newExgineMac10=`echo $newExgineMac10 | sed 's/%3A/:/g'`
    newExgineMac11=`echo $newExgineMac11 | sed 's/%3A/:/g'`
    newExgineMac12=`echo $newExgineMac12 | sed 's/%3A/:/g'`
    newExgineMac13=`echo $newExgineMac13 | sed 's/%3A/:/g'`
    newExgineMac14=`echo $newExgineMac14 | sed 's/%3A/:/g'`
    newExgineMac15=`echo $newExgineMac15 | sed 's/%3A/:/g'`

	# check IP addresses
    n=0;
    while [ $n -lt 16 ]; do
        i=1;
        while [ $i -lt 5 ]; do
            
            case $n in
            0)
                byte=`echo $newExgineIp0 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            1)
                byte=`echo $newExgineIp1 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            2)
                byte=`echo $newExgineIp2 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            3)
                byte=`echo $newExgineIp3 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            4)
                byte=`echo $newExgineIp4 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            5)
                byte=`echo $newExgineIp5 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            6)
                byte=`echo $newExgineIp6 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            7)
                byte=`echo $newExgineIp7 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            8)
                byte=`echo $newExgineIp8 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            9)
                byte=`echo $newExgineIp9 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            10)
                byte=`echo $newExgineIp10 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            11)
                byte=`echo $newExgineIp11 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            12)
                byte=`echo $newExgineIp12 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            13)
                byte=`echo $newExgineIp13 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            14)
                byte=`echo $newExgineIp14 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            15)
                byte=`echo $newExgineIp15 | sed -n 's/^\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)[.]\([0-9]*\)$/\'$i'/p'`;                
            ;;
            esac
            if [ "X$byte" = "X" ]; then
                let n=n+1;
                echo "Exgine IP address misconfiguration (destination $n)<BR>$errMsg";
                exit;
            fi
            if [ $byte -gt 255 ]; then
                let n=n+1;
                echo "Exgine IP address misconfiguration (destination $n)<BR>$errMsg";
                exit;
            fi
            let i=i+1;
        done
        let n=n+1;
    done

    # check MAC address
    n=0;
    while [ $n -lt 16 ]; do
    
        i=1;
        while [ $i -lt 7 ]; do
            
            case $n in
            0)
                byte=`echo $newExgineMac0 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            1)
                byte=`echo $newExgineMac1 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            2)
                byte=`echo $newExgineMac2 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            3)
                byte=`echo $newExgineMac3 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            4)
                byte=`echo $newExgineMac4 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            5)
                byte=`echo $newExgineMac5 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            6)
                byte=`echo $newExgineMac6 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            7)
                byte=`echo $newExgineMac7 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            8)
                byte=`echo $newExgineMac8 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            9)
                byte=`echo $newExgineMac9 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            10)
                byte=`echo $newExgineMac10 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            11)
                byte=`echo $newExgineMac11 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            12)
                byte=`echo $newExgineMac12 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            13)
                byte=`echo $newExgineMac13 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            14)
                byte=`echo $newExgineMac14 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            15)
                byte=`echo $newExgineMac15 | sed -n 's/^\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\):\([0-9A-Fa-f]\{,2\}\)$/\'$i'/p'`;
            ;;
            esac
            
            if [ "X$byte" = "X" ]; then
                let n=n+1;
                echo "Exgine MAC address misconfiguration (destination $n)<BR>$errMsg";
                exit;
            fi
            
            let i=i+1;
        done
        let n=n+1;
    done
	
	#
	# Update configuration files
	#
	cp -f /mnt/flash/e2x.cfg /tmp/e2x.cfg
	sed -e	"s/\(exgineIp0:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp0\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp1:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp1\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp2:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp2\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp3:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp3\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp4:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp4\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp5:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp5\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp6:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp6\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp7:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp7\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp8:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp8\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp9:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp9\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp10:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp10\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp11:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp11\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp12:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp12\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp13:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp13\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineIp14:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp14\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineIp15:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineIp15\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg

	sed -e	"s/\(exgineMac0:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac0\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac1:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac1\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac2:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac2\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac3:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac3\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac4:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac4\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac5:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac5\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac6:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac6\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac7:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac7\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac8:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac8\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac9:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac9\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac10:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac10\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac11:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac11\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac12:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac12\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac13:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac13\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg
	sed -e	"s/\(exgineMac14:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac14\2/" /tmp/e2x.cfg > /tmp/e2x2.cfg
	sed -e	"s/\(exgineMac15:[ \t]*\)[^ \t\#]*\(.*$\)/\1$newExgineMac15\2/" /tmp/e2x2.cfg > /tmp/e2x.cfg

	
	cat /proc/flash_write_enable > /dev/null
	mount -o remount,rw /mnt/flash
	
	if [ -e /mnt/flash/e2x.cfg ] ; then 
    		cp -f /mnt/flash/e2x.cfg /mnt/flash/e2x.cfg.bkup
	fi
	cp -f /tmp/e2x.cfg /mnt/flash/e2x.cfg
	
	mount -o remount,ro /mnt/flash
	cat /proc/flash_write_disable > /dev/null
	echo "<P><B>Note:</B> Changes have been applied.  A <A HREF="reboot.sh">reboot</A> is required for these changes to take effect.<P>";
fi

#
# Read configuration file settings
#

# exgine IP address
exgineIp0=`sed -n "s/\(exgineIp0:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp1=`sed -n "s/\(exgineIp1:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp2=`sed -n "s/\(exgineIp2:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp3=`sed -n "s/\(exgineIp3:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp4=`sed -n "s/\(exgineIp4:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp5=`sed -n "s/\(exgineIp5:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp6=`sed -n "s/\(exgineIp6:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp7=`sed -n "s/\(exgineIp7:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp8=`sed -n "s/\(exgineIp8:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp9=`sed -n "s/\(exgineIp9:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp10=`sed -n "s/\(exgineIp10:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp11=`sed -n "s/\(exgineIp11:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp12=`sed -n "s/\(exgineIp12:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp13=`sed -n "s/\(exgineIp13:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp14=`sed -n "s/\(exgineIp14:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineIp15=`sed -n "s/\(exgineIp15:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;

exgineMac0=`sed -n "s/\(exgineMac0:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac1=`sed -n "s/\(exgineMac1:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac2=`sed -n "s/\(exgineMac2:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac3=`sed -n "s/\(exgineMac3:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac4=`sed -n "s/\(exgineMac4:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac5=`sed -n "s/\(exgineMac5:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac6=`sed -n "s/\(exgineMac6:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac7=`sed -n "s/\(exgineMac7:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac8=`sed -n "s/\(exgineMac8:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac9=`sed -n "s/\(exgineMac9:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac10=`sed -n "s/\(exgineMac10:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac11=`sed -n "s/\(exgineMac11:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac12=`sed -n "s/\(exgineMac12:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac13=`sed -n "s/\(exgineMac13:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac14=`sed -n "s/\(exgineMac14:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;
exgineMac15=`sed -n "s/\(exgineMac15:[ \t]*\)\([^ \t\#]*\)\(.*$\)/\2/p" /mnt/flash/e2x.cfg`;

#
# Build the HTML page
#
echo "<FORM METHOD=POST ACTION=municast.sh>"

echo "<TABLE WIDTH=80% CELLSPACING=0  CELLPADDING=4>"
echo "<TR><TD bgcolor=\"#09254a\" COLSPAN=2><FONT color=gray FACE=\"Verdana\"><B>Multiple Unicast Configuration</B></FONT></TD>";
#echo "<TD ALIGN=right bgcolor=\"#09254a\"><A HREF=\"/municast_hlp.html\" TRAGET=_blank><FONT color=gray FACE=\"Verdana\"><B>[help]</b></FONT></A></TD></TR>";
echo "<TD ALIGN=right bgcolor=\"#09254a\"></TD></TR>";

echo "<TR><TD COLSPAN=3><B>Note:</B> This configures multiple destination addresses for transmitting reliable HD transport only."
echo "Destination addresses may be specific unicast IP addresses, broadcast or directional broadcast IP addresses.  "
echo "Enter 0.0.0.0 as an IP address to disable a destination entirely.  Entering a specific "
echo "MAC address will populate the address resolution table with that address needed on uni-directional links."
echo "A MAC address of 00:00:00:00:00:00 will force the software to use the address resoultion protocol (ARP) requiring"
echo "a bi-directionnal data link to the destination.<P></TD></TR>"

stra="<TR><TD VALIGN=top><B>Dest";
straa=":</B></TD><TD><B>IP: </B><INPUT TYPE=text NAME=";
#newDataPlanePort
strb=" VALUE=\"";
#$dataPlanePort
strc="\"></TD><TD><B>MAC: </B><INPUT TYPE=text NAME=";
strd="\"></TD></TR>"
echo $stra "1" $straa\"newExgineIp0\"$strb$exgineIp0$strc\"newExgineMac0\"$strb$exgineMac0$strd
echo $stra "2" $straa\"newExgineIp1\"$strb$exgineIp1$strc\"newExgineMac1\"$strb$exgineMac1$strd
echo $stra "3" $straa\"newExgineIp2\"$strb$exgineIp2$strc\"newExgineMac2\"$strb$exgineMac2$strd
echo $stra "4" $straa\"newExgineIp3\"$strb$exgineIp3$strc\"newExgineMac3\"$strb$exgineMac3$strd
echo $stra "5" $straa\"newExgineIp4\"$strb$exgineIp4$strc\"newExgineMac4\"$strb$exgineMac4$strd
echo $stra "6" $straa\"newExgineIp5\"$strb$exgineIp5$strc\"newExgineMac5\"$strb$exgineMac5$strd
echo $stra "7" $straa\"newExgineIp6\"$strb$exgineIp6$strc\"newExgineMac6\"$strb$exgineMac6$strd
echo $stra "8" $straa\"newExgineIp7\"$strb$exgineIp7$strc\"newExgineMac7\"$strb$exgineMac7$strd
echo $stra "9" $straa\"newExgineIp8\"$strb$exgineIp8$strc\"newExgineMac8\"$strb$exgineMac8$strd
echo $stra "10" $straa\"newExgineIp9\"$strb$exgineIp9$strc\"newExgineMac9\"$strb$exgineMac9$strd
echo $stra "11" $straa\"newExgineIp10\"$strb$exgineIp10$strc\"newExgineMac10\"$strb$exgineMac10$strd
echo $stra "12" $straa\"newExgineIp11\"$strb$exgineIp11$strc\"newExgineMac11\"$strb$exgineMac11$strd
echo $stra "13" $straa\"newExgineIp12\"$strb$exgineIp12$strc\"newExgineMac12\"$strb$exgineMac12$strd
echo $stra "14" $straa\"newExgineIp13\"$strb$exgineIp13$strc\"newExgineMac13\"$strb$exgineMac13$strd
echo $stra "15" $straa\"newExgineIp14\"$strb$exgineIp14$strc\"newExgineMac14\"$strb$exgineMac14$strd
echo $stra "16" $straa\"newExgineIp15\"$strb$exgineIp15$strc\"newExgineMac15\"$strb$exgineMac15$strd



echo "<TR></TR></TABLE>";
echo "<INPUT TYPE=submit VALUE=\"Accept Changes\" >"
echo "<INPUT TYPE=reset VALUE=\"Clear Changes\" >"
echo "</FORM>"
echo "</BODY>"

















