#!/bin/sh

TFTPSERVER=10.10.10.12
FILE=zImage.initrd.bin

# parses URL for HOST=[IP ADDRESS] for GET CGI 
TFTPSERVER=$REQUEST_URI
TFTPSERVER=`echo $TFTPSERVER | sed -e 's/.*osupload.sh\?*//'`
TFTPSERVER=`echo $TFTPSERVER | sed -e 's/.*HOST\=\(.*\)/\1/'`

echo "Content-type: text/html";
echo;
echo "<HTML><TITLE>OS Upload</TITLE><BODY><H2>OS Upload Results:</H2>";
echo "<BR>Ensure that the TFTP server is started on " $TFTPSERVER
echo "<BR>Please wait until update has completed...<P><PRE>";
cd /mnt/flash

echo "Uploading $FILE from TFTP server ..."
cd /tmp/
tftp -g -r $FILE $TFTPSERVER
if [ -e $FILE ]; then
	SIZE=`ls -s $FILE`;
	for S in $SIZE
	do
		if [ $S = "0" ]; then
			echo "$FILE did not transfer (0 bytes) ... aborting."
			exit
		fi
	done
	
	echo "Erasing FLASH memory ..."
	cat /proc/flash_write_enable
	flash_erase /dev/mtd0 0 47 > /dev/null

	echo "Copying image to FLASH ..."	
	cat $FILE > /dev/mtd0
	sleep 3
	sync
	cat /proc/flash_write_disable
	echo "OS upload completed."
else
	echo "ERROR: OS image transfer failed."
fi
echo "</PRE></BODY></HTML>";
